#ifndef SERIALWORKER_H
#define SERIALWORKER_H

#include <QObject>
#include <QSerialPort>
#include <QDebug>
#include <QThread>

class SerialWorker : public QObject
{
    Q_OBJECT
public:
    explicit SerialWorker(QSerialPort *ser,QObject *parent = 0);

signals:
    void sendResultToGui(const QString result);

public slots:
    void doDataReciveWork();

private:
    QSerialPort *serial;
    QString ByteArrayToHexString(QByteArray);
};

#endif // SERIALWORKER_H
